@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

.y-editor-area-attributes-cnt {
    .z-groupbox-content {
        .z-hbox {
            tr td > table {
                width: 100%;
                table-layout: fixed;
            }
            .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-attrcell {
                width: 100% !important;
                padding-right: $editor-area__fluid-mode-default-element--padding-right;
                &:only-child{
                    display: block;
                }
            }
            .z-hbox-separator {
                display: none;
            }
        }
        .z-hlayout {
            width: 100%;
            .z-hlayout-inner {
                width: 50% !important;
                padding-right: 15px !important;
                display: inline-block;
            }
        }

        .z-tablelayout {
            .z-tablechildren {
                width: 50%;
                padding-right: 15px;
                .z-hlayout .z-hlayout-inner {
                    display: block;
                    width: 100% !important;
                        padding: 0 !important;
                }
                &:only-child {
                    padding-right: 0;
                    .z-hlayout .z-hlayout-inner {
                        width: 50% !important;
                        display: inline-block;
                        padding-right: 15px !important;
                    }
                }
            }
        }
    }
    .ye-com_hybris_cockpitng_editor_defaultdate {
        &, table {
            width: 100% !important;
            padding-right: 0% !important;
        }
    }
    .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox {
        .z-groupbox-content .z-hbox {
            display: table;
            width: 100% !important;
        }
        > .z-groupbox-content {
            overflow: auto;
            > .z-hbox {
                height: auto;
                overflow: hidden;
                
                > tbody > tr {
                    display: inline;
                    > table {
                        max-width: 100%;
                        width: auto !important;
                    }
                }
            }
        }
    }
    &-min,
    &-max,
    &-avg {
        .z-groupbox-content {
            .z-hbox {
                .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed-editor,
                .yw-editor-area-main-content .ye-default-reference-editor,
                .ye-default-reference-editor-selected-listbox,
                .ye-default-reference-editor-selected-listbox > .z-listbox-body {
                    width: 100% !important;
                }
            }
            .ye-default-reference-editor {
                width: 100% !important;
            }
        }
    }
    &-min {
        .z-groupbox-content {
            .z-hbox,
            table,
            table tbody,
            table tr,
            table td {
                width: 100%;
            }
            .z-hbox {
                .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-attrcell {
                    display: block;
                    width: 100% !important;
                    height: auto !important;
                    float: left;
                }
                .z-hbox-separator {
                    display: none;
                }
            }
            .z-hbox,
            table {
                table-layout: fixed;
            }

            .z-tablelayout {
                .z-tablechildren {
                    width: 100% !important;
                    display: block;
                }
            }
            > .z-hlayout {
                width: 100%;
                
                > .z-hlayout-inner {
                    width: 100% !important;
                    padding-right: 0 !important;
                    display: block;
                }
            }
        }
    }
    &-avg {
        .z-groupbox-content {
            .z-hbox,
            table {
                width: 100%;
                table-layout: fixed;
            }
            .z-hbox {
                .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-attrcell {
                    width: 50% !important;

                    &:only-child {
                        display: block;
                        padding-right: 1em;
                    }
                }  
            }

            > .z-hlayout {
                width: calc(100% + 2em);
                display: block;
                margin-left: -1em;
                margin-right: -1em;

                > .z-hlayout-inner {
                    width: 50% !important;
                    padding-right: 1em !important;
                    padding-left: 1em;
                }
            }

            .z-tablelayout {
                .z-tablechildren {
                    padding-right: 1em;

                    .z-hlayout {
                        width: 100%;
                        .z-hlayout-inner {
                            width: 100% !important;
                            display: block;
                            padding-right: 0 !important;

                        }
                    }

                    &:last-child {
                        padding-left: 1em;
                        padding-right: 0;
                    }

                    &:only-child {
                        padding-left: 0 !important;

                        .z-hlayout {
                            width: 100%;

                            .z-hlayout-inner {
                                width: 50% !important;
                                display: inline-block;

                                &:first-child {
                                    padding-right: 1em !important;
                                }

                                &:last-child {
                                    padding-left: 1em;
                                }
                            }
                        }
                    }
                }
            }

        }
        .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox td.z-hbox-separator {
            width: 2em;
        }
    }
    &-max {
        .z-groupbox-content > .z-hlayout,
        .z-groupbox-content .z-hbox,
        &.z-groupbox-content table {
            width: 50%;
            // float: left;
        }
        .z-groupbox-content {
            .z-hbox {
                tr td > table {
                    width: 100%;
                    table-layout: fixed;
                }
                .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-attrcell {
                    width: 48% !important;
                    padding-right: 2%;

                    &:only-child{
                        display: inline-block;
                        box-sizing: content-box;
                    }
                }
                .z-hbox-separator {
                    display: none;
                }
            }
            
            > .z-hlayout > .z-hlayout-inner {
                width: 48% !important;
                padding-right: 2% !important;
                box-sizing: content-box;
            }      
            
            .z-tablelayout {
                .z-tablechildren {
                    padding-right: 1%;
                    .z-hlayout {
                        width: 100%;
                    }
                    &:only-child {
                        width: 100%;
                    }
                }
            }   
        }
        .ye-com_hybris_cockpitng_editor_defaultdate {
            &, table {
                width: 100% !important;
                padding-right: 0% !important;
            }
        }
    }
}